package kr.gmtc.gw.standstatus.kafka.vo;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import kr.gmtc.gw.standstatus.vo.VoiceVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Setter
@Getter
@ToString
@JsonPropertyOrder({ "result_code", "result_msg" })
public class KafkaRequestVoiceVo {

  @JsonProperty("header")
  private ResponsHeader header;	
	
  @JsonProperty("data")
  private List<VoiceVO> data;

  public KafkaRequestVoiceVo(){
    this.data = new ArrayList<VoiceVO>();
  }
    
}