package kr.gmtc.gw.standstatus.vo;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class VoiceVO {

    @Getter
    @Setter
    public static class VoiceKeyword{

        private String keyword;
        private String tag;

    }

    @Getter
    @Setter
    public static class VoiceReadback{

        private String result;
        private String read_starttime;
        private String read_endtime;

        private List<VoiceKeyword> keywords;
    }

    private String starttime;
    private String endtime;
    private String com_type;
    private String channel;
    private String speaker;
    private String facility;
    private String callsign;
    private String doc_type;
    private String control_type;

    private List<VoiceKeyword> keywords;
    private List<VoiceReadback> readback;

    private String frequency;
    private String media_name;
    private String text;


    
    
}